Skip to main content
PATCH
Update a task

Authorizations

Authorization
string
header
required

OAuth 2.0 Bearer Token from Clerk authentication

Headers

Idempotency-Key
string

Unique key to ensure idempotent request handling. If a request with the same key was already processed, the original response will be returned.

Path Parameters

id
string
required

The task ID

Body

application/json
title
string

Task title

Example:

"Updated task title"

description
string

Task description

deadline_at
string<date-time>

Deadline for the task

all_day
boolean

Whether this is an all-day task

status
enum<string>

Task status

Available options:
todo,
done
priority
enum<string>

Task priority

Available options:
low_priority,
medium_priority,
high_priority,
urgent_priority
is_private
boolean

When true, only the creator, assignee (or members of the assigned team), and collaborators can see this task.

household_id
string

Associate task with a household

contact_id
string

Associate task with a contact

business_id
string

Associate task with a business

assigned_to_id
string

User ID from the relevant book users list to assign the task to

assigned_team_id
string

Team ID to assign the task to (mutually exclusive with assigned_to_id)

tag_ids
string[]

Label IDs to replace the task labels with

Response

task updated

id
string
required

The task ID

Example:

"abc123xyz"

title
string
required

Task title

Example:

"Follow up with client"

all_day
boolean
required

Whether this is an all-day task

status
enum<string>
required

Task status

Available options:
todo,
done
created_at
string<date-time>
required

When the task was created

updated_at
string<date-time>
required

When the task was last updated

description
string | null

Task description

deadline_at
string<date-time> | null

Deadline for the task

priority
enum<string> | null

Task priority

Available options:
low_priority,
medium_priority,
high_priority,
urgent_priority
is_private
boolean

When true, only the creator, assignee (or members of the assigned team), and collaborators can see this task. Use for sensitive tasks like HR or payroll.

completed_at
string<date-time> | null

When the task was completed

assigned_to
object | null
assigned_team
object | null
record
object | null

The associated record (household, contact, or business) this task is linked to

tags
object[]

Labels applied to the task